__gnu_pbds::linear_probe_fn< Size_Type >(3)

NAME
__gnu_pbds::linear_probe_fn< Size_Type > -

SYNOPSIS

  Public Types
typedef Size_Type size_type

  Public Member Functions
void swap (linear_probe_fn< Size_Type > &other)

  Protected Member Functions
size_type operator() (size_type i) const

Detailed Description

  template<typename Size_Type = std::size_t>class __gnu_pbds::linear_probe_fn< Size_Type >
A probe sequence policy using fixed increments.

Definition at line 61 of file hash_policy.hpp.

Member Function Documentation

  template<typename Size_Type > linear_probe_fn< Size_Type >::size_type __gnu_pbds::linear_probe_fn< Size_Type >::operator() (size_type i) const [inline], [protected]

Returns the i-th offset from the hash value.

Definition at line 51 of file hash_policy.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.